<!DOCTYPE html>
<html ng-app='optpanel'>
<head>
  <title>Contact Center Supervision</title>
  <!-- <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.css" /> -->
  <link rel="stylesheet" href="styles/optpanel.css" />
  <link rel="stylesheet" href="styles/agentstates.css" />
  <link rel="stylesheet" href="styles/seuils.css" />

  <script src="http://srv.opt.lan:8080/assets/javascripts/angular.min.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/jquery-2.0.3.min.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/ui-bootstrap-tpls-0.11.0.min.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/jquery-ui-1.10.2.custom.min.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/moment-with-langs.min.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/countdown.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/moment-countdown.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/cti.js" type="text/javascript"></script>
  <script src="http://srv.opt.lan:8080/assets/javascripts/services/xuc_services.js" type="text/javascript"></script>
  <script src="scripts/optpanel.js" type="text/javascript"></script>
  <meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body>

<div class="container-fluid text-center" ng-controller="queueController">
  <div class="panel panel-primary">
    <table  width="100%" height="100%" cellspacing="0" cellpadding="0" ng-controller="queueTotalController">
      <tr style="height:20%;">
        <td  class="totalCounter {{getStyle('TotalNumberCallsEntered',totals.TotalNumberCallsEntered)}}" style="width:15%;">Total appels:<br/>{{totals.TotalNumberCallsEntered}} </td>
        <td  class="totalCounter {{getStyle('WaitingCalls',totals.WaitingCalls)}}" style="width:23%;"  >En attente	:<br/> {{totals.WaitingCalls}} </td>
        <td class="totalCounter {{getStyle('WaitingCalls',totals.WaitingCalls)}}" style="width:23%;"id = 'MaxWaiting'>Delai d'attente max:<br/></td>
      </tr>
      <tr style="height:40%;">
        <td id="perAnsBe" class="totalCounter {{getStyle('PercentageAnsweredBefore15',totals.GlobalPercentageAnsweredBefore15)}}"  style="width:15%;">Decroche < 15s:<br/> {{totals.GlobalPercentageAnsweredBefore15 | number : 2}}</td>
        <td id="cell-2-24" class="" colspan="2" rowspan="2" style="">
          <table  width = "80%">
            <thead >
            <th>
              Nom
            </th>
            <th>
              % Repondus
            </th>
            <th>
              En attente
            </th>
            <th>
              Attente max
            </th>
            <th>
              Dispos
            </th>
            </thead>
            <tr style="height:50px;" ng-repeat='queue in queues | orderBy:"displayName"'>
              <td class="">{{queue.displayName}}</td>
              <td class="{{getStyle('PercentageAnsweredBefore15',queue.PercentageAnsweredBefore15)}}">{{queue.PercentageAnsweredBefore15 | number:1}}</td>
              <td class="{{getStyle('WaitingCalls',queue.WaitingCalls)}}" >{{queue.WaitingCalls}}</td>
              <td class="{{getStyle('LongestWaitTime',queue.LongestWaitTime)}}">{{queue.LongestWaitTime | queueTime}}</td>
              <td class="{{getStyle('AvailableAgents',queue.AvailableAgents)}}">{{queue.AvailableAgents}}</td>
            </tr>
          </table>
        </td>
      </tr>

    </table>
  </div>
</div>
<div class="panel-footer " ng-controller="ctiLinkController">
  <span class="title"><i class="glyphicon glyphicon-leaf Link{{status}}"></i>&nbsp;{{clock}}</span>
</div>
<script type="text/javascript">
           initCtiLocale("super02");
  </script>
</body>
</html>

